--~ local oldt = Def.ActorFrame {
--~ 	LoadActor( "../ScreenTitleMenu overlay" );
--~ 	LoadActor( "pay" ) .. {
--~ 		OnCommand = cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y-60;diffuseshift;effectcolor1,0.5,0.5,0.5,1;effectcolor2,1,1,1,1);
--~ 		Condition = GAMESTATE:GetCoinMode() == "CoinMode_Pay";
--~ 	};
--~ 	LoadActor( "jp" ) .. {
--~ 		Stretch = 1;
--~ 		NumTilesHigh = 1;
--~ 		TilesStartY = 380;
--~ 		TilesSpacingX = 10000;
--~ 		TileVelocityX = -300;
--~ 		OnCommand = cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y);
--~ 		Condition = GAMESTATE:GetPremium() == "Premium_2PlayersFor1Credit";
--~ 	};
--~ 	LoadActor( "free" ) .. {
--~ 		OnCommand = cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y-60;diffuseshift;effectcolor1,0.5,0.5,0.5,1;effectcolor2,1,1,1,1);
--~ 		Condition = GAMESTATE:GetCoinMode() == "CoinMode_Free";
--~ 	};
--~ 	LoadActor( "dp" ) .. {
--~ 		Stretch = 1;
--~ 		NumTilesHigh = 1;
--~ 		TilesStartY = 380;
--~ 		TilesSpacingY = 10000;
--~ 		TileVelocityX = -300;
--~ 		OnCommand = cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y);
--~ 		Condition = GAMESTATE:GetPremium() == "Premium_DoubleFor1Credit";
--~ 	};
--~ }
local t = Def.ActorFrame {
    Def.Quad {
        InitCommand=cmd(zoomto,SCREEN_WIDTH,60;x,SCREEN_CENTER_X;y,SCREEN_BOTTOM-66;diffuse,0,0,0,0.5);
    };
    LoadActor( THEME:GetPathG("Common","Button"),"Start","PRESS" ) .. {
        Condition = GAMESTATE:GetCoinMode() == "CoinMode_Free";
        InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_BOTTOM-60);
    };
    LoadActor( THEME:GetPathG("Common","Button"),"Start","PRESS" ) .. {
        Condition = GAMESTATE:GetCoinMode() == "CoinMode_Pay";
        InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_BOTTOM-60);
    };
	LoadFont("Fancy","Normal") .. {
		InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y+64;diffusebottomedge,color("#ffe1be");shadowlength,0;playcommand,"Set");
		SetCommand=function(self)
			local fmt = THEME:GetString( "ScreenTitleMenu", "%d songs in %d groups, %d courses in %d groups" )
			local text = string.upper(string.format( fmt, SONGMAN:GetNumSongs(), SONGMAN:GetNumSongGroups(), SONGMAN:GetNumCourses(), SONGMAN:GetNumCourseGroups() ))

			if PREFSMAN:GetPreference("UseUnlockSystem") then
				text = text .. string.upper(string.format(", %d unlocks", UNLOCKMAN:GetNumUnlocks() ))
			end
			self:settext( text )
		end;
        OnCommand=cmd(finishtweening;x,SCREEN_WIDTH*1.5;decelerate,1;x,SCREEN_CENTER_X);
        OffCommand=cmd(finishtweening;x,SCREEN_CENTER_X;accelerate,1;x,-SCREEN_WIDTH*1.5);
	};
--~     LoadFont("Fancy","Header") .. {
--~         Text="Press  Button";
--~         InitCommand=cmd(shadowlength,0;x,SCREEN_CENTER_X;y,SCREEN_BOTTOM-66);
--~     };
};
return t
